Bug 35191 - gnupg2 Denial of service (3.2)
gnupg2 Denial of service (3.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.2
Other Linux
: P3 normal (vote)
: UCS 3.2-8-errata
Assigned To: Arvid Requate
Daniel Tröder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-24 19:30 CEST by Moritz Muehlenhoff
Modified: 2016-06-22 15:05 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-06-24 19:30:52 CEST
+++ This bug was initially created as a clone of Bug #35190 +++

Denial of service through malformed packets (CVE-2014-4617)
Comment 1 Arvid Requate univentionstaff 2015-02-18 19:49:16 CET
CVE-2015-1606: use after free when using non-standard keyring
CVE-2015-1607: memcpy with overlapping ranges when using non-standard keyring
Comment 2 Arvid Requate univentionstaff 2016-06-13 13:27:54 CEST
CVE-2015-1606 and CVE-2015-1607 have been classified as "Minor issue" in Debian.


2.0.14-2+squeeze3 imported and built with fixed buildsystem version increment
Advisory: gnupg2.yaml
Comment 3 Daniel Tröder univentionstaff 2016-06-20 13:15:21 CEST
OK: advisory
OK: manual functional test:

# aptitude install pinentry-curses
# aptitude remove pinentry-gtk2
# gpg-agent --daemon
→ GPG_AGENT_INFO=/tmp/gpg-g8SfkX/S.gpg-agent:18728:1; export GPG_AGENT_INFO;

# gpg --gen-key

# cat /etc/fstab | gpg2 --detach-sign --local-user test2@univention.de > fstab.sig2
# gpg --verify fstab.sig2 /etc/fstab
→ gpg: Korrekte Unterschrift von "Uni Test 2 <test2@univention.de>"

# test "$(sha256sum /etc/fstab | cut -f 1 -d ' ')" = "$(cat /etc/fstab | gpg --encrypt --recipient test2@univention.de | gpg --decrypt - | sha256sum | cut -f 1 -d ' ')" && echo OK
→ OK
Comment 4 Janek Walkenhorst univentionstaff 2016-06-22 15:05:29 CEST
<http://errata.software-univention.de/ucs/3.2/436.html>